<template>
    <v-container>
      <v-row>
        <v-col v-for="cat in category" v-bind:key="cat.id" cols="12" md="2" >
            <v-card
              class="align-center"
              color="orange accent-4"
              height="180"
            >
            <v-row class="align-center mx-0 img-cat">
            <v-img
              class="img-cat"
              height="80"
              src="https://via.placeholder.com/150"
            ></v-img>
            </v-row>
            <v-card-text class="white--text">
              <v-row  class="align-center mx-0 text-cat">
              <div class="white--text">
                {{cat.name}}
              </div>
              </v-row>
            </v-card-text>
            </v-card>
        </v-col>
      </v-row>
    </v-container>
</template>

<script>
  export default {
     data: function() {
      return {
        category: [
          {name:'เสื้อผ้าแฟชั่นผู้ชาย'},
          {name:'เสื้อผ้าแฟชั่นผู้หญิง'},
          {name:'มือถือและอุปกรณ์เสริม'},
          {name:'ความงามและของใช้สำหรับผู้หญิง'},
          {name:'นาฬิกาและแว่นตา'},
          {name:'กระเป๋า'},
          {name:'รองเท้าผู้ชาย'},
          {name:'เครื่องประดับ'},
          {name:'คอมพิวเตอร์และแล็ปท็อป'},
          {name:'รองเท้าผู้หญิง'},
          {name:'กล้องและอุปกรณ์ถ่ายภาพ'},
          {name:'ของเล่น สินค้าแม่และเด็ก'},
          {name:'กีฬาและกิจกรรมกลางแจ้ง'},
          {name:'เฟอร์นิเจอร์'},
          {name:'อาหารเสริมและผลิตภัณฑ์สุขภาพ'},
          {name:'อาหารและเครื่องดื่ม'},
          {name:'สื่อบันเทิงภายในบ้าน'},
          {name:'เครื่องใช้ไฟฟ้าในบ้าน'},
          {name:'เกมและอุปกรณ์เสริม'},
          {name:'สัตว์เลี้ยง'},
          {name:'ยานยนต์'},
          {name:'อุปกรณ์เครื่องเขียนและหนังสือ'}
        ]
      }
     }
  };
</script>

<style scoped>
.img-cat{
  padding: 10px;
}
.text-cat{
  text-align: center;
  justify-content: center;
}
</style>